Project:
RSS

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008458Multi Theft Auto : San AndreasClientpublic2014-08-14 17:232017-05-14 21:15
Reportercastillo14 
Assigned Tolopezloo 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version1.5.5Fixed in Version1.5.5 
Summary0008458: setObjectBreakable - Melee problem
DescriptionWell, I've noticed that if you use this function, it stops damage from explosions and gun shoots, but you can break the object, such as glass, using melee.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0022345)
arranTuna (manager)
2014-11-12 00:36

Object ID used?
(0022349)
castillo14 (viewer)
2014-11-12 18:57

I tried it with a glass object, I don't remember the ID though.
(0022651)
castillo14 (viewer)
2014-12-09 09:53

This is the object ID: 1649

And here is a video to show the bug:

https://www.youtube.com/watch?v=PlrQN6xvWSM&feature=youtu.be [^]
(0022653)
Jusonex (administrator)
2014-12-10 21:10

What happens if you use addEventHandler("onClientObjectDamage", object, cancelEvent) and/or addEventHandler("onClientObjectBreak", object, cancelEvent) instead?
(0022654)
castillo14 (viewer)
2014-12-11 07:56

Same problem with both events.

And I found another problem when testing onClientObjectBreak & onClientObjectDamage, explosives will break the object even if you cancel the events, but they won't if you set setObjectBreakable function to false.
(0025947)
lopezloo (developer)
2017-05-14 21:15

Fixed in https://github.com/multitheftauto/mtasa-blue/commit/6343316702b7ea9d90beb49ff6e89fa743d5f51c [^]

- Issue History
Date Modified Username Field Change
2014-08-14 17:23 castillo14 New Issue
2014-11-12 00:36 arranTuna Note Added: 0022345
2014-11-12 00:36 arranTuna Status new => feedback
2014-11-12 18:57 castillo14 Note Added: 0022349
2014-11-12 18:57 castillo14 Status feedback => new
2014-11-12 23:13 arranTuna Status new => feedback
2014-12-09 09:53 castillo14 Note Added: 0022651
2014-12-09 09:53 castillo14 Status feedback => new
2014-12-10 21:10 Jusonex Note Added: 0022653
2014-12-11 07:56 castillo14 Note Added: 0022654
2017-05-07 10:32 lopezloo Status new => confirmed
2017-05-14 20:41 Jusonex Status confirmed => resolved
2017-05-14 20:41 Jusonex Resolution open => fixed
2017-05-14 20:41 Jusonex Assigned To => lopezloo
2017-05-14 20:41 Jusonex Project New issues => Multi Theft Auto : San Andreas
2017-05-14 20:41 Jusonex Fixed in Version => 1.5.5
2017-05-14 20:41 Jusonex Target Version => 1.5.5
2017-05-14 21:15 lopezloo Note Added: 0025947


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker